#!/bin/bash

# http://askubuntu.com/questions/65323/bulk-export-embed-album-art-in-banshee

TPATH="/home/bach/.cache/media-art/"
LIBRARY_PATH="/home/bach/Musique/Library/"


cd $LIBRARY_PATH

for f in *; do
    cd "$f"
    for al in *; do
        THUMB="${TPATH}album-$(echo -ne "$f\t$al" | md5sum | cut -b1-32).jpg"
        if [ -e $THUMB ]; then
            cp $THUMB "./${al}/cover.jpg"
            echo "$LIBRARY_PATH/$f/$al/cover.jpg" >> ~/.bin/coverlog
        fi
    done
    cd ..
done
